Bug 442984 - Link to Windows installer at https://apps.kde.org/ktimetracker/
Summary: Link to Windows installer at https://apps.kde.org/ktimetracker/
Status: RESOLVED FIXED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: apps.kde.org (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-26 14:18 UTC by Alexander Potashev
Modified: 2021-11-19 23:33 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2021-09-26 14:18:17 UTC
SUMMARY
Please link to the official Windows installer at https://apps.kde.org/ktimetracker/. There is one at https://download.kde.org/stable/ktimetracker/5.0.1/win64/ktimetracker-5.0.1-1-windows-msvc2017_64-cl.exe.mirrorlist, however https://apps.kde.org/ktimetracker/ only links to the Binary-Factory.

STEPS TO REPRODUCE
1. 
2. 
3. 

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Carl Schwan 2021-09-26 14:21:27 UTC
Could you add a link to the installer using the release/artifacts tag from https://www.freedesktop.org/software/appstream/docs/chap-Metadata.html#tag-releases?
Comment 2 Alexander Potashev 2021-10-04 22:05:47 UTC
Git commit b1de69ebe62efb6d1ffa166706e8a59d6e0ebccb by Alexander Potashev.
Committed on 04/10/2021 at 22:04.
Pushed by aspotashev into branch 'master'.

Add link to the Windows installer using the release/artifacts tags.

M  +7    -1    org.kde.ktimetracker.appdata.xml

https://invent.kde.org/pim/ktimetracker/commit/b1de69ebe62efb6d1ffa166706e8a59d6e0ebccb
Comment 3 Alexander Potashev 2021-10-31 19:42:45 UTC
Thanks Carl!
I've added the link. What's next?
Comment 4 Carl Schwan 2021-10-31 20:17:22 UTC
Git commit 5da54c327692712f147171c1210db66b4b94c923 by Carl Schwan.
Committed on 31/10/2021 at 20:17.
Pushed by carlschwan into branch 'master'.

Fix not displaying artifacts when not description is set in release info

M  +0    -9    go.sum
M  +1    -1    layouts/applications/single.html

https://invent.kde.org/websites/apps-kde-org/commit/5da54c327692712f147171c1210db66b4b94c923
Comment 5 Carl Schwan 2021-10-31 20:18:03 UTC
(In reply to Alexander Potashev from comment #3)
> Thanks Carl!
> I've added the link. What's next?

/me fixing a bug in apps.kde.org :) Should be done now, let's wait 10 minutes for the website to regenerate itself.
Comment 6 Alexander Potashev 2021-11-19 23:33:36 UTC
I can now see a link under "Releases". However there's a high chance that a user reads until "KTimeTracker Windows installers are also available to download from the binary-factory" and no notice the link(s) to Windows stable release(s). Can we please add a button next to "Install on Linux" and make it similarly visible?